import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import spacings from '@highlight-ui/tokens/dist/spacings.json';
export declare type SpacingType = keyof typeof spacings | 'spacing-0';
export declare type StackProps = PropsWithMetadata<{
    /** The spacing applied to the children */
    space?: SpacingType;
    /** Allows providing a custom class name to the container element */
    className?: string;
    /** Elements to apply spacing */
    children?: React.ReactNode;
}>;
declare const Stack: React.ForwardRefExoticComponent<{
    /** The spacing applied to the children */
    space?: SpacingType | undefined;
    /** Allows providing a custom class name to the container element */
    className?: string | undefined;
    /** Elements to apply spacing */
    children?: React.ReactNode;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Stack;
